<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      2.0.0
 * @package    Last_Activity
 * @subpackage Last_Activity/includes
 * @author     Sajjad Hossain Sagor <sagorh672@gmail.com>
 */
class Last_Activity_Activator
{
	/**
	 * Save currently installed plugins activity data as current_time( 'timestamp' ) aka now()
	 *
	 * @since    2.0.0
	 * @access   public
	 */
	public static function activate()
	{
		$plugin_options 				= get_option( LAST_ACTIVITY_PLUGIN_OPTION_NAME, [] );

		$all_plugins 					= get_plugins();

		foreach ( $all_plugins as $key => $plugin )
		{
			if ( ! isset( $plugin_options[$key] ) )
			{
				$plugin_options[$key] 	= current_time( 'timestamp' );
			}
		}

		update_option( LAST_ACTIVITY_PLUGIN_OPTION_NAME, $plugin_options );
	}
}
